import * as basicValidation from "./basicValidation.cjs";
/**
 * This function validates the inputs of a GET request on /rooms
 */
export function validateGetRoomsInput() {
    return true;
}
/**
 * This function validates the outputs to a GET request on /rooms
 */
export function validateGetRoomsOutput(response) {
    if (response.status < 100 || response.status >= 600)
        return false;
    if (response.status === 200) {
        if (!basicValidation.validateGetRoomsResponse200Response(response.body)) {
            validateGetRoomsOutput.errors = basicValidation.validateGetRoomsResponse200Response.errors;
            return false;
        }
        return true;
    }
    if (response.status === 400) {
        return true;
    }
    if (response.status === 401) {
        return true;
    }
    if (response.status === 403) {
        return true;
    }
    if (response.status === 404) {
        return true;
    }
    if (response.status === 500) {
        return true;
    }
    validateGetRoomsOutput.errors = `Response status ${response.status} is unexpected`;
    return false;
}
/**
 * This function validates the inputs of a POST request on /rooms
 */
export function validatePostRoomsInput(body) {
    if (!basicValidation.validatePostRoomsRequestBodyRequest(body)) {
        validatePostRoomsInput.errors = basicValidation.validatePostRoomsRequestBodyRequest.errors;
        return false;
    }
    return true;
}
/**
 * This function validates the outputs to a POST request on /rooms
 */
export function validatePostRoomsOutput(response) {
    if (response.status < 100 || response.status >= 600)
        return false;
    if (response.status === 201) {
        if (!basicValidation.validatePostRoomsResponse201Response(response.body)) {
            validatePostRoomsOutput.errors = basicValidation.validatePostRoomsResponse201Response.errors;
            return false;
        }
        return true;
    }
    if (response.status === 400) {
        return true;
    }
    if (response.status === 401) {
        return true;
    }
    if (response.status === 403) {
        return true;
    }
    if (response.status === 404) {
        return true;
    }
    if (response.status === 500) {
        return true;
    }
    validatePostRoomsOutput.errors = `Response status ${response.status} is unexpected`;
    return false;
}
/**
 * This function validates the inputs of a GET request on /rooms/{room_id}
 */
export function validateGetRoomsByRoomIdInput(parameters) {
    if (parameters) {
        if (!basicValidation.validateRoomIdRequest(parameters["room_id"])) {
            validateGetRoomsByRoomIdInput.errors = basicValidation.validateRoomIdRequest.errors;
            return false;
        }
    }
    else {
        return false;
    }
    return true;
}
/**
 * This function validates the outputs to a GET request on /rooms/{room_id}
 */
export function validateGetRoomsByRoomIdOutput(response) {
    if (response.status < 100 || response.status >= 600)
        return false;
    if (response.status === 200) {
        if (!basicValidation.validateGetRoomsByRoomIdResponse200Response(response.body)) {
            validateGetRoomsByRoomIdOutput.errors = basicValidation.validateGetRoomsByRoomIdResponse200Response.errors;
            return false;
        }
        return true;
    }
    if (response.status === 400) {
        return true;
    }
    if (response.status === 401) {
        return true;
    }
    if (response.status === 403) {
        return true;
    }
    if (response.status === 404) {
        return true;
    }
    if (response.status === 500) {
        return true;
    }
    validateGetRoomsByRoomIdOutput.errors = `Response status ${response.status} is unexpected`;
    return false;
}
/**
 * This function validates the inputs of a PATCH request on /rooms/{room_id}
 */
export function validatePatchRoomsByRoomIdInput(parameters, body) {
    if (parameters) {
        if (!basicValidation.validateRoomIdRequest(parameters["room_id"])) {
            validatePatchRoomsByRoomIdInput.errors = basicValidation.validateRoomIdRequest.errors;
            return false;
        }
    }
    else {
        return false;
    }
    if (!basicValidation.validatePatchRoomsByRoomIdRequestBodyRequest(body)) {
        validatePatchRoomsByRoomIdInput.errors = basicValidation.validatePatchRoomsByRoomIdRequestBodyRequest.errors;
        return false;
    }
    return true;
}
/**
 * This function validates the outputs to a PATCH request on /rooms/{room_id}
 */
export function validatePatchRoomsByRoomIdOutput(response) {
    if (response.status < 100 || response.status >= 600)
        return false;
    if (response.status === 200) {
        if (!basicValidation.validatePatchRoomsByRoomIdResponse200Response(response.body)) {
            validatePatchRoomsByRoomIdOutput.errors = basicValidation.validatePatchRoomsByRoomIdResponse200Response.errors;
            return false;
        }
        return true;
    }
    if (response.status === 400) {
        return true;
    }
    if (response.status === 401) {
        return true;
    }
    if (response.status === 403) {
        return true;
    }
    if (response.status === 404) {
        return true;
    }
    if (response.status === 500) {
        return true;
    }
    validatePatchRoomsByRoomIdOutput.errors = `Response status ${response.status} is unexpected`;
    return false;
}
/**
 * This function validates the inputs of a DELETE request on /rooms/{room_id}
 */
export function validateDeleteRoomsByRoomIdInput(parameters) {
    if (parameters) {
        if (!basicValidation.validateRoomIdRequest(parameters["room_id"])) {
            validateDeleteRoomsByRoomIdInput.errors = basicValidation.validateRoomIdRequest.errors;
            return false;
        }
    }
    else {
        return false;
    }
    return true;
}
/**
 * This function validates the outputs to a DELETE request on /rooms/{room_id}
 */
export function validateDeleteRoomsByRoomIdOutput(response) {
    if (response.status < 100 || response.status >= 600)
        return false;
    if (response.status === 204) {
        return true;
    }
    if (response.status === 400) {
        return true;
    }
    if (response.status === 401) {
        return true;
    }
    if (response.status === 403) {
        return true;
    }
    if (response.status === 404) {
        return true;
    }
    if (response.status === 500) {
        return true;
    }
    validateDeleteRoomsByRoomIdOutput.errors = `Response status ${response.status} is unexpected`;
    return false;
}
//# sourceMappingURL=requestValidation.js.map