/**
 * This file was automatically generated by openapi-codegeneration.
 * DO NOT MODIFY IT BY HAND. Instead, modify the source OpenAPI file,
 * and run openapi-codegeneration to regenerate this file.
 */
import express from "express";
import operations from "../operations/index.js";
import { ValidationError } from "./types.js";
import { validateGetRoomsInput, validateGetRoomsOutput, validatePostRoomsInput, validatePostRoomsOutput, validateGetRoomsByRoomIdInput, validateGetRoomsByRoomIdOutput, validatePatchRoomsByRoomIdInput, validatePatchRoomsByRoomIdOutput, validateDeleteRoomsByRoomIdInput, validateDeleteRoomsByRoomIdOutput } from "./requestValidation.js";
export default function router() {
    const router = express.Router();
    router.get("/rooms", async (req, res, next) => {
        try {
            if (!validateGetRoomsInput()) {
                throw new ValidationError("Request validation failed", validateGetRoomsInput.errors, 400);
            }
            const result = await operations.getRooms(req);
            if (!validateGetRoomsOutput(result)) {
                throw new ValidationError("Response validation failed", validateGetRoomsOutput.errors, 500);
            }
            for (const headerName in result.headers) {
                const header = result.headers[headerName];
                if (header) {
                    res.setHeader(headerName, header);
                }
            }
            return res.status(result.status).json(result.body);
        }
        catch (error) {
            next(error);
            return;
        }
    });
    router.post("/rooms", async (req, res, next) => {
        const body = req.body;
        try {
            if (!validatePostRoomsInput(body)) {
                throw new ValidationError("Request validation failed", validatePostRoomsInput.errors, 400);
            }
            const result = await operations.postRooms(req, body);
            if (!validatePostRoomsOutput(result)) {
                throw new ValidationError("Response validation failed", validatePostRoomsOutput.errors, 500);
            }
            for (const headerName in result.headers) {
                const header = result.headers[headerName];
                if (header) {
                    res.setHeader(headerName, header);
                }
            }
            return res.status(result.status).json(result.body);
        }
        catch (error) {
            next(error);
            return;
        }
    });
    router.get("/rooms/:room_id", async (req, res, next) => {
        const parameters = {
            "room_id": req.params["room_id"]
        };
        try {
            if (!validateGetRoomsByRoomIdInput(parameters)) {
                throw new ValidationError("Request validation failed", validateGetRoomsByRoomIdInput.errors, 400);
            }
            const result = await operations.getRoomsByRoomId(req, parameters);
            if (!validateGetRoomsByRoomIdOutput(result)) {
                throw new ValidationError("Response validation failed", validateGetRoomsByRoomIdOutput.errors, 500);
            }
            for (const headerName in result.headers) {
                const header = result.headers[headerName];
                if (header) {
                    res.setHeader(headerName, header);
                }
            }
            return res.status(result.status).json(result.body);
        }
        catch (error) {
            next(error);
            return;
        }
    });
    router.patch("/rooms/:room_id", async (req, res, next) => {
        const parameters = {
            "room_id": req.params["room_id"]
        };
        const body = req.body;
        try {
            if (!validatePatchRoomsByRoomIdInput(parameters, body)) {
                throw new ValidationError("Request validation failed", validatePatchRoomsByRoomIdInput.errors, 400);
            }
            const result = await operations.patchRoomsByRoomId(req, parameters, body);
            if (!validatePatchRoomsByRoomIdOutput(result)) {
                throw new ValidationError("Response validation failed", validatePatchRoomsByRoomIdOutput.errors, 500);
            }
            for (const headerName in result.headers) {
                const header = result.headers[headerName];
                if (header) {
                    res.setHeader(headerName, header);
                }
            }
            return res.status(result.status).json(result.body);
        }
        catch (error) {
            next(error);
            return;
        }
    });
    router.delete("/rooms/:room_id", async (req, res, next) => {
        const parameters = {
            "room_id": req.params["room_id"]
        };
        try {
            if (!validateDeleteRoomsByRoomIdInput(parameters)) {
                throw new ValidationError("Request validation failed", validateDeleteRoomsByRoomIdInput.errors, 400);
            }
            const result = await operations.deleteRoomsByRoomId(req, parameters);
            if (!validateDeleteRoomsByRoomIdOutput(result)) {
                throw new ValidationError("Response validation failed", validateDeleteRoomsByRoomIdOutput.errors, 500);
            }
            for (const headerName in result.headers) {
                const header = result.headers[headerName];
                if (header) {
                    res.setHeader(headerName, header);
                }
            }
            return res.status(result.status).json(result.body);
        }
        catch (error) {
            next(error);
            return;
        }
    });
    return router;
}
//# sourceMappingURL=routes.js.map